> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--applications-owners/mutations/update-tag-app-owner-email.md).

# updateTagAppOwnerEmail

Updates the email address of an existing application owner and reassigns every application currently owned by that owner to the new address. The request fails when another application owner already uses the requested email address. Access scopes do not follow the change. Users scoped to the previous email address are not scoped to the new address, and an administrator must grant them the new application owner scope.

### Examples

{% tabs %}
{% tab title="GraphQL" %}

```graphql
mutation UpdateTagAppOwnerEmail($input: UpdateAppOwnerTagEmailInput!) {
  updateTagAppOwnerEmail(input: $input) {
    acknowledge
  }
}
```

#### Variables

This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.

```json
{
  "input": {
    "tagId": "ox_tag_1",
    "email": "user@example.com"
  }
}
```

{% endtab %}

{% tab title="cURL" %}

```shell
curl -X POST \
https://api.cloud.ox.security/api/apollo-gateway \
-H 'Content-Type: application/json' \
-H 'Authorization: YOUR_API_TOKEN' \
-d '{
 "query": "mutation UpdateTagAppOwnerEmail($input: UpdateAppOwnerTagEmailInput!) { updateTagAppOwnerEmail(input: $input) { acknowledge } }",
 "variables": {
    "input": {
      "tagId": "ox_tag_1",
      "email": "user@example.com"
    }
  }
}'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const query = 'mutation UpdateTagAppOwnerEmail($input: UpdateAppOwnerTagEmailInput!) { updateTagAppOwnerEmail(input: $input) { acknowledge } }';

fetch("https://api.cloud.ox.security/api/apollo-gateway", {
  method: "POST",
  headers: {
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  body: JSON.stringify({
    query: query,
    // This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    variables: {
      input: {
        tagId: "ox_tag_1",
        email: "user@example.com"
      }
    }
  })
})
.then(response => response.json())
.then(result => console.log(JSON.stringify(result, null, 2)))
.catch(error => console.error('Error:', error));
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

query = 'mutation UpdateTagAppOwnerEmail($input: UpdateAppOwnerTagEmailInput!) { updateTagAppOwnerEmail(input: $input) { acknowledge } }'

response = requests.post(
  "https://api.cloud.ox.security/api/apollo-gateway",
  headers={
    "Content-Type": "application/json",
    "Authorization": "YOUR_API_TOKEN"
  },
  json={
    "query": query,
    # This is an example input showing all available input fields. Only fields marked as required in the schema are mandatory.
    "variables": {
      "input": {
        "tagId": "ox_tag_1",
        "email": "user@example.com"
      }
    }
  }
)

if response.status_code == 200:
    result = response.json()
    print(result)
else:
    print(f"Error: {response.status_code}")
    print(response.text)
```

{% endtab %}
{% endtabs %}

### Arguments

You can use the following argument(s) to customize your `updateTagAppOwnerEmail` mutation.

| Argument                                                                                                                                                                                                         | Description                                                                  | Supported fields                                                |
| ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- | --------------------------------------------------------------- |
| input [`UpdateAppOwnerTagEmailInput!`](/api-documentation/api-reference/api--applications-owners/types/inputs/update-app-owner-tag-email-input.md) <mark style="color:red;background-color:red;">required</mark> | Input identifying the application owner to update and the new email address. | <p>tagId <code>String!</code><br>email <code>String!</code></p> |

### Fields

Return type: [`Acknowledge!`](/api-documentation/api-reference/api--applications-owners/types/objects/acknowledge.md)

You can use the following field(s) to specify what information your `updateTagAppOwnerEmail` mutation will return. Please note that some fields may have their own subfields.

| Field                  | Description                                        | Supported fields |
| ---------------------- | -------------------------------------------------- | ---------------- |
| acknowledge `Boolean!` | Boolean indicating if the operation was successful |                  |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--applications-owners/mutations/update-tag-app-owner-email.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
